﻿using System;
using System.Diagnostics;
using System.IO;
using System.Windows.Forms;

using Infragistics.Win.UltraWinDataSource;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication11
{
	public partial class Form1 : Form
	{
		#region Constructors

		public Form1()
		{
			InitializeComponent();


			ultraGrid1.DisplayLayout.Override.HeaderPlacement = HeaderPlacement.FixedOnTop;

			UltraGridBand band = ultraGrid1.DisplayLayout.Bands["DataBand 1"];

			band.ColHeadersVisible = false;

			//column layout causes a key not found exception, group layout or none does not
			//band.RowLayoutStyle = RowLayoutStyle.GroupLayout;
			band.RowLayoutStyle = RowLayoutStyle.ColumnLayout;

		}

		#endregion Constructors

		#region Private Members

		private void button1_Click( object sender, EventArgs e )
		{
			string filename = Path.Combine( Path.GetDirectoryName( Application.ExecutablePath ), "x.xlsx" );
			ultraGridExcelExporter1.Export( ultraGrid1, filename );
			Process.Start( filename );
		}

		private void Form1_Load( object sender, EventArgs e )
		{
			for( int i = 0; i < 5; i++ )
			{
				UltraDataRow row = this.ultraDataSource1.Rows.Add( new object[] { i.ToString() } );
				for( int j = 0; j < 5; j++ )
				{
					row.GetChildRows( 0 ).Add( new object[] { i.ToString() + ", " + j.ToString() } );
				}
			}

			this.ultraGrid1.Rows.CollapseAll( true );
		}

		#endregion Private Members

	}
}
